# TODO:
# - fix build with aspell
%define		kdeframever	5.59
%define		qtver		5.10.0
%define		kfname		sonnet

Summary:	Multi-language spell checker
Summary(pl.UTF-8):	Wielojęzyczne narzędzie do sprawdzania pisowni
Name:		kf5-%{kfname}
Version:	5.59.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	23815283db2bd44605878c3cb7de1589
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	aspell
BuildRequires:	aspell-devel
BuildRequires:	cmake >= 3.5
BuildRequires:	hspell-devel
BuildRequires:	hunspell-devel
BuildRequires:	kf5-extra-cmake-modules >= 5.56
BuildRequires:	libvoikko-devel
BuildRequires:	ninja
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins, including HSpell,
ASpell and HUNSPELL.

It also supports automated language detection, based on a combination
of different algorithms.

The simplest way to use Sonnet in your application is to use the
SpellCheckDecorator class on your QTextEdit.

%description -l pl.UTF-8
Sonnet to oparta na wtyczkach biblioteka do sprawdzania pisowni dla
aplikacji opartych na Qt. Obsługuje kilka różnych wtyzek, w tym
HSpell, ASpell i HUNSPELL.

Pozwala automatycznie wykrywać język w oparciu o połączenie różnych
algorytmów.

Najprostszy sposób użycia Sonneta w aplikacji to użycie klasy
SpellCheckDecorator w obiekcie QTextEdit.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5_qt --with-qm --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kfname}5_qt.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gentrigrams
%attr(755,root,root) %{_bindir}/parsetrigrams
%attr(755,root,root) %ghost %{_libdir}/libKF5SonnetCore.so.5
%attr(755,root,root) %{_libdir}/libKF5SonnetCore.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libKF5SonnetUi.so.5
%attr(755,root,root) %{_libdir}/libKF5SonnetUi.so.*.*
%dir %{qt5dir}/plugins/kf5/sonnet
%attr(755,root,root) %{qt5dir}/plugins/kf5/sonnet/sonnet_aspell.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/sonnet/sonnet_hspell.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/sonnet/sonnet_hunspell.so
%attr(755,root,root) %{qt5dir}/plugins/kf5/sonnet/sonnet_voikko.so
%dir %{_datadir}/kf5/sonnet
%{_datadir}/kf5/sonnet/trigrams.map
/etc/xdg/sonnet.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/SonnetCore
%{_includedir}/KF5/SonnetUi
%{_includedir}/KF5/sonnet_version.h
%{_libdir}/cmake/KF5Sonnet
%attr(755,root,root) %{_libdir}/libKF5SonnetCore.so
%attr(755,root,root) %{_libdir}/libKF5SonnetUi.so
%{qt5dir}/mkspecs/modules/qt_SonnetCore.pri
%{qt5dir}/mkspecs/modules/qt_SonnetUi.pri
%changelog
* Sun Oct 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-sonnet.git;a=log;h=master

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> eac7510
- updated to 5.59.0

* Wed Apr 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 379e0ba
- pl

* Wed Apr 24 2019 Jakub Bogusz <qboosh@pld-linux.org> f88c2bc
- updated dependencies

* Fri Apr 19 2019 Adam Gołębiowski <adamg@pld-linux.org> 59765e7
- BR: kf5-extra-cmake-modules >= 5.56

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 3345f3c
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 385ab08
- updated to 5.53.0

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f3358f
- rel 2; BR aspell/libvoikko-devel

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 122d60f
- up to 5.48.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 1db974e
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 561a8ff
- up to 5.43.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 69e779c
- updated to 5.39.0

* Sat Apr 22 2017 Jan Rękorajski <baggins@pld-linux.org> f3b2ac9
- fix building with hunspell 1.6
- rel 3

* Fri Apr 21 2017 Jan Rękorajski <baggins@pld-linux.org> 3ae44a5
- rebuild with hunspell 1.6
- release 2 (by relup.sh)

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 37b3433
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 903961f
- applied upstream

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> fa53934
- updated to 5.23

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> f4377ba
- fix hunspell 1.4.detection
- rel 2

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 285c149
- updated to 5.19.0

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 535c7d7
- find_lang with kde

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ee862b0
- up to 5.13.0

